#!/bin/sh
INSTALL_DIR="fup_anamometer"

xcode-select --install

mkdir $HOME/$INSTALL_DIR
cp fup-anemometer-user.py $HOME/$INSTALL_DIR/fup-anemometer.py
chmod +x $HOME/$INSTALL_DIR/fup-anemometer.py
cp start_fup_anemometer.sh $HOME/$INSTALL_DIR/start_fup_anemometer.sh
chmod +x $HOME/$INSTALL_DIR/start_fup_anemometer.sh
if [ ! -d $HOME/Library/LaunchAgents ] 
then
    mkdir -p $HOME/Library/LaunchAgents
fi
sed -i -e "s%XXXX%$HOME%g" com.fup_anemometer.plist
cp com.fup_anemometer.plist $HOME/Library/LaunchAgents/com.fup_anemometer.plist
rm com.fup_anemometer.plist
cp com.fup_anemometer.plist-e com.fup_anemometer.plist
python3 -m venv $HOME/$INSTALL_DIR
# copy python file to venv
cd $HOME/$INSTALL_DIR
source $HOME/$INSTALL_DIR/bin/activate
pip install python-osc
cd $HOME
echo "TO FINISH THE INSTALLATION PLEASE LOGOFF AND LOGON" 